import { Injectable } from "@angular/core";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { CapabilityRequest } from "../model/capability-request";

@Injectable({
  providedIn: "root",
})
export class DataRetrieverService {
  constructor(private httpClient: HttpClient) {}

  getCapabilityRequest(id: number): Observable<CapabilityRequest> {
    const url = `capability/request/${id}`;
    return this.httpClient.get<CapabilityRequest>(url);
  }
}
